RACADM commands not supported

Servers

Servers
Information and ideas on Dell PowerEdge rack, tower and blade server solutions.

RACADM commands not supported

This question is not answered

Hello,

we have a server R420 with iDrac7 Enterprise.

When we tried execute racadm commands we getting this message:

The current version of Integrated Dell Remote Access Controller (iDRAC)
that do not support the execution of RACADM commands.
Contact Dell customer service to upgrade to iDRAC Express or iDRAC Enterprise
The installed version of RACADM client executable that do not match the
generation of the server.

RACADM version 7.3.2

Firmware Version  1.51.51 (Build 01)

Please advice how to fix this?

All Replies
  • Hello elasto

    Run these two commands and let me know if they work:

    racadm
    racadm getsysinfo

    If they both work then let me know what commands are returning the errors. Also, where did you install the 7.3.2 toolset from? I don't see it available on the download page for the R420. Did you install it from SMTD 7.3.2?

    Thanks

    Daniel Mysinger

    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • Hello Daniel

    # racadm

    NOTE:
    The current version of Integrated Dell Remote Access Controller (iDRAC)
    that do not support the execution of RACADM commands.
    Contact Dell customer service to upgrade to iDRAC Express or iDRAC Enterprise
    The installed version of RACADM client executable that do not match the
    generation of the server.

    ===============================================================================
    RACADM version 7.3.2
    Copyright (c) 2003-2013 Dell, Inc.
    All Rights Reserved
    ===============================================================================

    Any other racadm command displays note:

    # racadm getsysinfo

    NOTE:
    The current version of Integrated Dell Remote Access Controller (iDRAC)
    that do not support the execution of RACADM commands.
    Contact Dell customer service to upgrade to iDRAC Express or iDRAC Enterprise
    The installed version of RACADM client executable that do not match the
    generation of the server.

    Toolset was installed from Dell repository: http://linux.dell.com/repo/hardware/latest/bootstrap.cgi 

    with command: yum install srvadmin-all

    Thanks

  • They appear to have a newer version than what we have available on the download site. Before we start uninstalling double check to make sure your DRAC license is properly installed. If you can view OMSA then check the DRAC license section to see what it is authorized for. If OMSA is not working at all then boot into the lifecycle controller and check the DRAC license section.

    If the DRAC is properly licensed then uninstall that version and install this one:

    http://www.dell.com/support/drivers/us/en/04/DriverDetails/Product/poweredge-r420?driverId=JXVHW

    Thanks

    Daniel Mysinger

    Download the Dell Quick Resource Locator app today to access PowerEdge support content on your mobile device! (iOS, Android, Windows)

  • i have the same problem but with dell poweredge r620.

    racadm gives:

    ===============================================================================
    RACADM version 7.4.0
    Copyright (c) 2003-2013 Dell, Inc.
    All Rights Reserved
    ===============================================================================

    does the same advice (install version 7.3,A00) apply to my combination of server/racadm version?

    - Bart

  • Hello Bart,

    manually installing package "srvadmin-idracadm7" resolve my problem.

  • thanks Elasto, that solved it for me too.